The following tables lists all supported Javadoc options and Standard Doclet options since Javadoc 1.4 in the Maven Javadoc Plugin.

1. Standard Javadoc Options
2. Standard Doclet Options
3. Javadoc References

### Standard Javadoc Options

The following table is the complete list of the Standard Javadoc Options and its equivalent in the Maven Javadoc Plugin.

Javadoc Options | Since Javadoc | Maven Javadoc Plugin Options
--- | --- | ---
-1.1 | 1.4 | <old/>
-bootclasspath classpathlist | 1.4 | <bootclasspath/>, <bootclasspathArtifacts/>
-classpath classpathlist | 1.4 | Auto-discovered
-breakiterator | 1.5 | <breakiterator/>
-doclet class | 1.4 | <doclet/>, <docletArtifact/>, <docletArtifacts/>
-docletpath classpathlist | 1.4 | <docletPath/>
-encoding name | 1.4 | <encoding/>
-exclude packagename1: packagename2:... | 1.5 | <excludePackageNames/>
-extdirs dirlist | 1.4 | <extdirs/>
-help | 1.4 | -
-J flag | 1.4 | <additionalJOption/>, <maxmemory/>, <minmemory/>
-locale language_country_variant | 1.4 | <locale/>
-overview path\filename | 1.4 | <overview/>
-package | 1.4 | <show/>
-private | 1.4 | <show/>
-protected | 1.4 | <show/>
-public | 1.4 | <show/>
-quiet | 1.5 | <quiet/>
-source 1.4 | 1.4 | <source/>
-sourcepath sourcepathlist | 1.4 | <sourcepath/>
-subpackages package1: package2:... | 1.5 | <subpackages/>
-verbose | 1.4 | <verbose/>

### Standard Doclet Options

The following table is the complete list of the Standard Doclet Options and its equivalent in the Maven Javadoc Plugin.

Standard Doclet Options | Since Javadoc | Maven Javadoc Plugin Options
--- | --- | ---
-author | 1.4 | <author/>
-bottom text | 1.4 | <bottom/>
-breakiterator | 1.4 only | <breakiterator/>
-charset name | 1.4 | <charset/>
-d directory | 1.4 | <outputDirectory/>
-docencoding name | 1.4 | <docencoding/>
-docfilessubdirs | 1.4 | <docfilesubdirs/>
-doctitle title | 1.4 | <doctitle/>
-exclude packagename1:packagename2:... | 1.4 | <excludePackageNames/>
-excludedocfilessubdir name1:name2... | 1.4 | <excludedocfilesubdir/>
-footer footer | 1.4 | <footer/>
-group groupheading packagepattern:packagepattern:... | 1.4 | <groups/>
-header header | 1.4 | <header/>
-helpfile path\filename | 1.4 | <helpfile/>
-link extdocURL | 1.4 | <links/>
-linkoffline extdocURL packagelistLoc | 1.4 | <offlinelinks/>
-linksource | 1.4 | <linksource/>
-keywords | 1.4.2 | <keywords/>
-nocomment | 1.4 | <nocomment/>
-nodeprecated | 1.4 | <nodeprecated/>
-nodeprecatedlist | 1.4 | <nodeprecatedlist/>
-nohelp | 1.4 | <nohelp/>
-noindex | 1.4 | <noindex/>
-nonavbar | 1.4 | <nonavbar/>
-noqualifier all | packagename1:packagename2:... | 1.4 | <noqualifier/>
-nosince | 1.4 | <nosince/>
-notimestamp | 1.5 | <notimestamp/>
-notree | 1.4 | <notree/>
-packagesheader | 1.4.2 | <packagesheader/>
-quiet | 1.4 only | <quiet/>
-serialwarn | 1.4 | <serialwarn/>
-sourcetab (-linksourcetab in 1.4.2) | 1.5 | <sourcetab/>
-splitindex | 1.4 | <splitindex/>
-stylesheetfile path\filename | 1.4 | <stylesheetfile/>
-subpackages package1:package1:... | 1.4 only | <subpackages/>
-tag tagname:Xaoptcmf:"taghead" | 1.4 | <tags/>
-taglet class | 1.4 | <taglet/>, <tagletArtifact/>, <tagletArtifacts/>, <taglets/>
-tagletpath tagletpathlist | 1.4 | <tagletpath/>, Auto-discovered
-title title (deprecated) | 1.4 | -
-top | 6.0 | <top/>
-use | 1.4 | <use/>
-version | 1.4 | <version/>
-windowtitle title | 1.4 | <windowtitle/>

### Javadoc References

The Java API Documentation Generator - 1.4
  http://java.sun.com/j2se/1.4.2/docs/tooldocs/windows/javadoc.html
The Java API Documentation Generator - 1.5
  http://java.sun.com/j2se/1.5.0/docs/tooldocs/windows/javadoc.html
The Java API Documentation Generator - 6.0
  http://java.sun.com/javase/6/docs/technotes/tools/windows/javadoc.html

Note: these references are NOT up-to-date! Some options are also specified in the "API Enhancements" section on the Javadoc Technology home page.